a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QGL Class Reference
[ OpenGL module ]

The QGL class is a namespace for miscellaneous identifiers in the Qt OpenGL module. More...

`#include <qgl.h>`

Inherited by QGLContext, QGLFormat and QGLWidget.

List of all member functions.

## Public Members

- enum FormatOption { DoubleBuffer = 0x0001, DepthBuffer = 0x0002, Rgba = 0x0004, AlphaChannel = 0x0008, AccumBuffer = 0x0010, StencilBuffer = 0x0020, StereoBuffers = 0x0040, DirectRendering = 0x0080, HasOverlay = 0x0100, SingleBuffer = DoubleBuffer << 16, NoDepthBuffer = DepthBuffer << 16, ColorIndex = Rgba << 16, NoAlphaChannel = AlphaChannel << 16, NoAccumBuffer = AccumBuffer << 16, NoStencilBuffer = StencilBuffer << 16, NoStereoBuffers = StereoBuffers << 16, IndirectRendering = DirectRendering << 16, NoOverlay = HasOverlay << 16 }

## Detailed Description

The QGL class is a namespace for miscellaneous identifiers in the Qt OpenGL module.

Normally, you can ignore this class. QGLWidget and the other OpenGL module classes inherit it, so when you make your own QGLWidget subclass, you can use the identifiers in the QGL namespace without qualification.

However, occasionally you may find yourself in situations where you need ot refer to these identifiers from outside the QGL namespace scope, e.g. in static utility functions. In such cases, simply write e.g. `QGL::DoubleBuffer` instead just `DoubleBuffer.`

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.